package com.zhongzheng.modules.polyv.service;

import com.zhongzheng.modules.polyv.domain.PolyvVideo;
import com.zhongzheng.modules.polyv.vo.PolyvVideoQuerVo;
import com.zhongzheng.modules.polyv.vo.PolyvVideoVo;
import com.zhongzheng.modules.polyv.bo.PolyvVideoQueryBo;
import com.zhongzheng.modules.polyv.bo.PolyvVideoAddBo;
import com.zhongzheng.modules.polyv.bo.PolyvVideoEditBo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 保利威视频信息Service接口
 *
 * @author ruoyi
 * @date 2021-06-11
 */
public interface IPolyvVideoService extends IService<PolyvVideo> {
	/**
	 * 查询单个
	 * @return
	 */
	PolyvVideoQuerVo queryById(String polyvId) throws Exception;

	/**
	 * 查询列表
	 */
	List<PolyvVideoVo> queryList(PolyvVideoQueryBo bo);

	/**
	 * 根据新增业务对象插入保利威视频信息
	 * @param bo 保利威视频信息新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(PolyvVideoAddBo bo);

	/**
	 * 根据编辑业务对象修改保利威视频信息
	 * @param bo 保利威视频信息编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(PolyvVideoEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

	String polyvbPcSignRequest(String VId,String viewerId) throws Exception;

	Map<String,Object> polyvbMobileSignRequest(String VId, String viewerId) throws Exception;
}
